/* 
 *  USEMARCON Software - Command Line version
 *  
 *  File:  chckfile.h
 *
 *
 *  NOTE:  IN NO WAY WHATSOEVER SHOULD THIS FILE BE USED IN THE EARLIER
 *         VERSIONS OF USEMARCON SOFTWARE.
 *

CLASS
    TTagNoInd

	implements a class to manage tagged fields without indicators

OVERVIEW TEXT
    USEMARCON Software - Command Line version
    Copyright The British Library, The USEMarcon Consortium, 1995-2000
    Adapted by Crossnet Systems Limited - British Library Contract No. BSDS 851
    
AUTHOR
    Crossnet Systems Limited

*/

#ifndef _TagNoInd_H_
#define _TagNoInd_H_ 
                 
#include <stdio.h>
#include <string.h>                 

class TTagNoInd
{
public:
//////////
 					TTagNoInd	(void);
//////////
 					~TTagNoInd	(void);
 		
//////////
  virtual TTagNoInd	*GetNext	(void)					{ return itsNext; };  
//////////
  virtual char		*GetTag		(void)					{ return itsTag; };

//////////
  virtual int		SetNext		(TTagNoInd *aTagNoInd)	{ itsNext=aTagNoInd; return 0; };
//////////
  virtual int		SetTag		(const char *aString)	{ memcpy(itsTag,aString,3); itsTag[3]=0; return 0; };                                                      
                                                       
protected:
       
//////////
  char				itsTag[4];
//////////
  TTagNoInd			*itsNext;                                                          
};

#endif 

