/* 
 *  USEMARCON Software - Command Line version
 *  
 *  File:  chckfile.h
 *
 *
 *  NOTE:  IN NO WAY WHATSOEVER SHOULD THIS FILE BE USED IN THE EARLIER
 *         VERSIONS OF USEMARCON SOFTWARE.
 *

CLASS
    TCheckDoc

	implements a class to manage checking files

OVERVIEW TEXT
    USEMARCON Software - Command Line version
    Copyright The British Library, The USEMarcon Consortium, 1995-2000
    Adapted by Crossnet Systems Limited - British Library Contract No. BSDS 851
    
AUTHOR
    Crossnet Systems Limited

*/
#ifndef TCheckDoc_H
#define TCheckDoc_H

#include "chckfile.h"
#include "defines.h"
#include "defines.h"

class TCheckDoc 
{
public:

//////////
  						TCheckDoc			();
//////////
  virtual 				~TCheckDoc			(void);
  
//////////
  virtual BOOLEAN 		Open				(int IO);
//////////
  virtual BOOLEAN		OpenCheckFile		(int IO,char *DefaultFile);
//////////
  virtual TCheckFile	*GetInputFile		(void)			{ return itsInputFile; };
//////////
  virtual TCheckFile	*GetOutputFile		(void)			{ return itsOutputFile; };
//////////
  virtual FILE_SPEC		*GetCheckInputSpec	(void)			{ return itsCheckInputSpec; };
//////////
  virtual FILE_SPEC		*GetCheckOutputSpec	(void)			{ return itsCheckOutputSpec; };  
    
private:
  
//////////
  TCheckFile			*itsInputFile;
//////////
  TCheckFile			*itsOutputFile;
//////////
  FILE_SPEC				*itsCheckInputSpec;
//////////
  FILE_SPEC				*itsCheckOutputSpec;  
//////////
  FILE_SPEC				*itsXVTFilePointer;  

};

#endif // TCheckDoc_H

