/*  
 *  USEMARCON Software - Command Line version
 *  Copyright The British Library, The USEMarcon Consortium, 1995-2000
 *  Adapted by Crossnet Systems Limited - British Library Contract No. BSDS 851
 *  
 *  File:  codedata.cpp
 *
 *  implements a class to manage Code data file
 *
 *  NOTE:  IN NO WAY WHATSOEVER SHOULD THIS FILE BE USED IN THE EARLIER
 *         VERSIONS OF USEMARCON SOFTWARE.
 *
 */

#include <afx.h> 
#include "trnsfile.h"
#include "error.h"   
   
///////////////////////////////////////////////////////////////////////////////
//
// TCodedData
//
///////////////////////////////////////////////////////////////////////////////   
TCodedData::TCodedData( FILE_SPEC *FileSpec)
		   :TTransFile( FileSpec)
{
 itsCodedDataName=new FILE_SPEC;
 if (itsCodedDataName)
  memcpy(itsCodedDataName,FileSpec,sizeof(FILE_SPEC));
 itsNextCodedData = NULL;    
}
   
///////////////////////////////////////////////////////////////////////////////
//
// ~TCodedData
//
///////////////////////////////////////////////////////////////////////////////   
TCodedData::~TCodedData() 
{
  if (itsCodedDataName) { delete itsCodedDataName; itsCodedDataName=NULL; }
}  








