/* 
 *  USEMARCON Software - Command Line version
 *  
 *  File:  chckfile.h
 *
 *
 *  NOTE:  IN NO WAY WHATSOEVER SHOULD THIS FILE BE USED IN THE EARLIER
 *         VERSIONS OF USEMARCON SOFTWARE.
 *

CLASS
    TCDLib

	implements a class to manage record control data

OVERVIEW TEXT
    USEMARCON Software - Command Line version
    Copyright The British Library, The USEMarcon Consortium, 1995-2000
    Adapted by Crossnet Systems Limited - British Library Contract No. BSDS 851
    
AUTHOR
    Crossnet Systems Limited

*/
#ifndef _TCDLIB_H_
#define _TCDLIB_H_
                   
#include "tcd.h"
             
class TCDLib : public TCD
{
public:
//////////
 			TCDLib			(void);
//////////
 			TCDLib			(TCDLib *aCDLib,TCD *aCD=NULL);
//////////
			TCDLib			(TCD* aCD);
//////////
 			~TCDLib			(void);
 				
//////////
  virtual char		*GetContent		(TCD* aCD=NULL);
//////////
  virtual int		SetContent		(char *aContent, TCD* aCD=NULL);
//////////
  virtual void		ResetContent		(void);
//////////
  virtual int		IsEqual			(TCD* aCD);
//////////
  virtual int		IsLess			(TCD* aCD);
//////////
  virtual int		NextSubCDLib		(TCDLib** pCDLib, int*, char*);

//////////
  friend  int  operator ==			(TCDLib& aCDLib, TCD& aCD) { return aCDLib.IsEqual(&aCD); };
//////////
  friend  int  operator !=			(TCDLib& aCDLib, TCD& aCD) { return !aCDLib.IsEqual(&aCD); };
//////////
  friend  int  operator <			(TCDLib& aCDLib, TCD& aCD) { return aCDLib.IsLess(&aCD); };
                                                      
protected:
       
//////////
  char			*itsContent;
};

#endif 

