/* 
 *  USEMARCON Software - Command Line version
 *  
 *  File:  chckfile.h
 *
 *
 *  NOTE:  IN NO WAY WHATSOEVER SHOULD THIS FILE BE USED IN THE EARLIER
 *         VERSIONS OF USEMARCON SOFTWARE.
 *

CLASS
    TTransFile

	implements a class to manage transcoding file

OVERVIEW TEXT
    USEMARCON Software - Command Line version
    Copyright The British Library, The USEMarcon Consortium, 1995-2000
    Adapted by Crossnet Systems Limited - British Library Contract No. BSDS 851
    
AUTHOR
    Crossnet Systems Limited

*/
#ifndef _TTRANS_FILE_H_
#define _TTRANS_FILE_H_

#include "tfile.h"
#include "semi.h"

class TMarcRecord;

class TTransFile : public TFile, public semi
{
public:
//////////
 				TTransFile	(FILE_SPEC *FileSpec=NULL);
//////////
 				~TTransFile	(void);
 						
//////////
  int			Open		(void);
//////////
  int			Convert		(TMarcRecord* In, TMarcRecord* Out);
//////////
  char*			Transcode	( char* In, char* Out, char *Notice=NULL, char *Field=NULL );

protected:
//////////
  int			GetValues	(char* Str, char* Liste);
//////////
  void*			DefaultValue;

};
#endif   						
