/* 
 *  USEMARCON Software - Command Line version
 *  
 *  File:  chckfile.h
 *
 *
 *  NOTE:  IN NO WAY WHATSOEVER SHOULD THIS FILE BE USED IN THE EARLIER
 *         VERSIONS OF USEMARCON SOFTWARE.
 *

CLASS
    TUMRecord

	implements a class to manage Records from MARC files

OVERVIEW TEXT
    USEMARCON Software - Command Line version
    Copyright The British Library, The USEMarcon Consortium, 1995-2000
    Adapted by Crossnet Systems Limited - British Library Contract No. BSDS 851
    
AUTHOR
    Crossnet Systems Limited

*/
#ifndef _TUMREC_H_
#define _TUMREC_H_
         
#include "tmarcrec.h"
#include "tcdlib.h"
         
class TUMRecord : public TMarcRecord
{
public:
//////////
		 			TUMRecord		(void);
//////////
					TUMRecord		(TUMRecord*);
//////////
 					~TUMRecord		(void);
//////////
  virtual int		SortCD			(void);
//////////
  virtual int		SortCD			(TCD*,char*);
//////////
  virtual int		FromCD			(void);
//////////
  virtual int		ToCD			(void);
//////////
  virtual int		NextCD			(TCDLib **CDLib, TCD *CD);
//////////
  virtual int		PreviousCD		(TCDLib **CDLib, TCD *CD);
//////////
  virtual int		InsereCDLib		(TCDLib *aCDLib, TCD *CD=NULL, int Replace=0);
//////////
  virtual int		DeleteCDLib		(TCD *aCD );
//////////
  virtual TCDLib	*GetFirstCDLib	(void)			{ return itsFirstCDLib; };
//////////
  virtual TCDLib	*GetLastCDLib	(void)			{ return itsLastCDLib; };
//////////
  virtual void		PrintCD(void);
//////////
  virtual int		DelTreeCDLib		(void); 
  
protected:
                                                            
//////////
  TCDLib				*itsFirstCDLib;
//////////
  TCDLib				*itsLastCDLib;
};

#endif 
