#ifndef CWorkInProgress_H
#define CWorkInProgress_H

//#include "PwrDef.h"
//#include CView_i
#include CClipWindow_i

class XWorkInProgress : public CView
{
 public:
    XWorkInProgress(CSubview* theEnclosure,const CRect& theFrame);
    ~XWorkInProgress();
    virtual BOOLEAN IWorkInProgress(const COLOR theForegroundColor=COLOR_BLUE, const COLOR theBackgroundColor=COLOR_WHITE);
    virtual void SetValue( const int theNewValue = 0 ) ;
    virtual int GetValue( void ) const  { return itsValue; } ;
    virtual void Draw(const CRect& theClippingRegion ) ;
    virtual void Size(const CRect & theNewSize)  ;

 private:
    int    itsValue;
    COLOR itsForegroundColor;
    COLOR itsBackgroundColor;
    CClipWindow * itsClipWindow;
} ;



#endif // CWorkInProgress_H



























