/********************************************************************
 *
    Copyright (c) 1995

    File Name:    TRuleEditWin.h
    Author:
    Date:

    Class:        TRuleEditWin
    Inheritance:  CWindow->TRuleEditWin
    Helper(s):

    Purpose:      This is a window class that has properties that were
                  specified using XVT-Architect. It implements methods
                  to initialize and manage the state of views nested
                  inside the window.

    Usage:        Override or add methods as necessary.

    Modifications:
 *
 ********************************************************************/

#ifndef TRuleEditWin_H
#define TRuleEditWin_H

#include "defines.h"

#include "trule.h"

class TRuleDoc;
                        
class TRuleEditWin 
{
 public:

 					TRuleEditWin	( );
  virtual 			~TRuleEditWin	(void);
  BOOLEAN  			IRuleEditWin	(void);
  virtual int		IsEqual			(TRule *FirstRule,TRule *SecondRule);
  virtual int		Search			(char *String, CView* Widget);
  
 protected:


 private:


  TRuleDoc			*itsDocument;
  TRule				*itsCurrentDisplayedRule;
  TRule				*itsCopyOfCurrentRule;
  TRule				*itsStartingRule;			
  long			CurrentParagraph;
  long			CurrentLine;
  long			CurrentCharacter;
};

#endif // TRuleEditWin_H































