/* 
 *  USEMARCON Software - Command Line version
 *  
 *  File:  chckfile.h
 *
 *
 *  NOTE:  IN NO WAY WHATSOEVER SHOULD THIS FILE BE USED IN THE EARLIER
 *         VERSIONS OF USEMARCON SOFTWARE.
 *

CLASS
    TTransDoc

	implements a class to manage Transcoding files

OVERVIEW TEXT
    USEMARCON Software - Command Line version
    Copyright The British Library, The USEMarcon Consortium, 1995-2000
    Adapted by Crossnet Systems Limited - British Library Contract No. BSDS 851
    
AUTHOR
    Crossnet Systems Limited

*/

#ifndef TTransDoc_H
#define TTransDoc_H

#include "tmpplctn.h"
#include "trnsfile.h"

class TTransDoc 
{
public:  

//////////
					 TTransDoc		() ;
//////////
  virtual 			~TTransDoc		( void );
//////////
  virtual BOOLEAN 		Open			(void);
                                               
//////////
  virtual BOOLEAN		OpenTransFile	(char *DefaultFile);
//////////
  virtual TTransFile	*GetFile		(void)	{ return itsFile; };
//////////
  virtual FILE_SPEC		*GetTransSpec	(void)	{ return itsTransSpec; };          
  
private:
    
//////////
  TTransFile			*itsFile;
//////////
  FILE_SPEC				*itsTransSpec;
//////////
  FILE_SPEC				*itsXVTFilePointer;

};

#endif // TTransDoc_H





